<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Forum Useful Post Ratings
| Type: Infusion
| File: forum_useful_post_rating_panel.php
| Version: 1.0
| Author and Developer: Ankur Thakur
| Site: http://ankurthakur.in
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (iMEMBER)
{
	if (file_exists(INFUSIONS."forum_useful_post_rating_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."forum_useful_post_rating_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."forum_useful_post_rating_panel/locale/English.php"; 
}

	// Database Settings
	$enable = dbarray(dbquery("SELECT settings_value FROM ".DB_SETTINGS_INF." WHERE settings_name='fupr_enabled'"),0);
	$text = dbarray(dbquery("SELECT settings_value FROM ".DB_SETTINGS_INF." WHERE settings_name='fupr_que'"),0);
	
	if ($enable['settings_value'] == 1)
	{
include INFUSIONS."forum_useful_post_rating_panel/infusion_db.php";

if (FUSION_SELF == 'viewthread.php')
{

add_to_head("<script type='text/javascript' src='".FORUM."forum_useful_post_rating/rateforumpost.js'></script>");

	global $userdata;
	
 	$posts = dbquery("SELECT p.post_id, p.post_author, f.user_id, f.rating_value FROM ".DB_POSTS." p LEFT JOIN ".DB_FORUM_USEFUL_RATINGS." f ON p.post_id=f.post_id WHERE thread_id='".$_GET['thread_id']."' AND post_author='".$userdata['user_id']."'");
   while ($pdata = dbarray($posts))
  	{
  		ob_start();
  		echo "<a href='#post_".$pdata['post_id']."' name='post_".$pdata['post_id']."' id='post_".$pdata['post_id']."'>";
  		$to_replace = ob_get_contents();
  		ob_end_clean();
  		$to_replace = str_replace("'", "\'", $to_replace);

  		ob_start();
  		echo "<span id='forumpostrating_".$pdata['post_id']."' class='small' style='float: left; font-size: 14px;'>";
  		echo "<img src='".INFUSIONS."forum_useful_post_rating_panel/images/good.png' alt='".$locale['fupr_alt_01']."' />&nbsp;".number_format(dbcount("(rating_id)", DB_FORUM_USEFUL_RATINGS, "post_id='".$pdata['post_id']."' AND rating_value=1"));
  		echo "&nbsp;<img src='".INFUSIONS."forum_useful_post_rating_panel/images/bad.png' alt='".$locale['fupr_alt_02']."' />&nbsp;".number_format(dbcount("(rating_id)", DB_FORUM_USEFUL_RATINGS, "post_id='".$pdata['post_id']."' AND rating_value=2"));
  		echo "</span>&nbsp;<a class='done_to_ignore_loop' href='#post_".$pdata['post_id']."' name='post_".$pdata['post_id']."' id='post_".$pdata['post_id']."'>";
		$replace_with = ob_get_contents();
		ob_end_clean();
		$replace_with = str_replace("'", "\'", $replace_with);

  		replace_in_output($to_replace, $replace_with);
   }
   
   $posts1 = dbquery("SELECT post_id FROM ".DB_POSTS." WHERE thread_id='".$_GET['thread_id']."' AND post_author<>'".$userdata['user_id']."'");
   while ($p1data = dbarray($posts1))
  	{
  		ob_start();
  		echo "<a href='#post_".$p1data['post_id']."' name='post_".$p1data['post_id']."' id='post_".$p1data['post_id']."'>";
  		$to_replace1 = ob_get_contents();
  		ob_end_clean();
  		$to_replace1 = str_replace("'", "\'", $to_replace1);

  		ob_start();
  		echo "<span id='forumpostrating_".$p1data['post_id']."' class='small' style='float: left; font-size: 14px;'>".$text['settings_value'];
  		echo "<a href='javascript:ratepostup(".$p1data['post_id'].")'><img src='".INFUSIONS."forum_useful_post_rating_panel/images/good.png' alt='".$locale['fupr_alt_01']."' border='0' /></a>&nbsp;".number_format(dbcount("(rating_id)", DB_FORUM_USEFUL_RATINGS, "post_id='".$p1data['post_id']."' AND rating_value=1"));
  		echo "&nbsp;<a href='javascript:ratepostdown(".$p1data['post_id'].")'><img src='".INFUSIONS."forum_useful_post_rating_panel/images/bad.png' alt='".$locale['fupr_alt_02']."' border='0' /></a>&nbsp;".number_format(dbcount("(rating_id)", DB_FORUM_USEFUL_RATINGS, "post_id='".$p1data['post_id']."' AND rating_value=2"));
  		echo "</span>&nbsp;<a href='#post_".$p1data['post_id']."' name='post_".$p1data['post_id']."' id='post_".$p1data['post_id']."'>";
		$replace_with1 = ob_get_contents();
		ob_end_clean();
		$replace_with1 = str_replace("'", "\'", $replace_with1);

  		replace_in_output($to_replace1, $replace_with1);
   }
   
}
}
}
?>