<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones, Ankur Thakur
| Developers: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Defining Database
include INFUSIONS."forum_useful_post_rating_panel/infusion_db.php";

// Loading Locale Files
if (file_exists(INFUSIONS."forum_useful_post_rating_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_useful_post_rating_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_useful_post_rating_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['fupr_title'];
$inf_description = $locale['fupr_desc'];
$inf_version = "1.0";
$inf_developer = "Ankur Thakur";
$inf_email = "thakurboyz2007@gmail.com";
$inf_weburl = "http://ankurthakur.in";

$inf_folder = "forum_useful_post_rating_panel";

$inf_newtable[1] = DB_FORUM_USEFUL_RATINGS." (
rating_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
post_id SMALLINT(5) UNSIGNED NOT NULL,
user_id SMALLINT(5) UNSIGNED NOT NULL,
rating_value TINYINT(1) UNSIGNED NOT NULL,
PRIMARY KEY (rating_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('fupr_enabled', '1', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('fupr_que', 'Was this Post Helpful to you ?', '".$inf_folder."')";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_droptable[1] = DB_FORUM_USEFUL_RATINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['fupr_title'],
	"image" => "fupr.png",
	"panel" => "forum_useful_post_rating_panel_admin.php",
	"rights" => "FUPR"
);

?>